VCS: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook/-/tree/8e860a24f31bf2b71a79fca03b8c1b819185ec36
# Get Requires from setup.py
%{?python_enable_dependency_generator}

%if 0%{?rhel} >= 9
# Replace the old PERL phonebook
%bcond_without replace_old
%else
# Don't replace the old PERL phonebook
%bcond_with replace_old
%endif

Name:       pyphonebook
Version:    2.1.4
Release:    1%{?dist}
Summary:    Python API and small CLI tool to query the CERN LDAP personnel database

Group: CERN/Utilities
License: LGPLv3
URL: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook
Source: %{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: epel-rpm-macros, python3-devel, argparse-manpage

%if %{with replace_old}
Provides: phonebook
Obsoletes: phonebook
%endif

%description
Python API and small CLI tool to query the CERN LDAP personnel database.

%prep
%setup -q -n pyphonebook-%{version}

%build
%py3_build

%install
%py3_install
%if %{with replace_old}
cd $RPM_BUILD_ROOT/%{_bindir}
ln -s pyphonebook phonebook
%endif

%files
%{python3_sitelib}/pyphonebook/
%{python3_sitelib}/pyphonebook-*.egg-info
%{_bindir}/pyphonebook
%if %{with replace_old}
%{_bindir}/phonebook
%endif
%doc %{_mandir}/man1/%{name}.1.gz

%changelog
* Thu Dec 02 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.4-1
- Fix querying for email addresses

* Tue Sep 21 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.3-1
- Added --json output option
- Fixed bug in CLI when nothing to search for
- Intercept KeyboardInterrupt correctly

* Thu Sep 16 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.2-1
- Fixed searching for first and last name

* Tue Sep 14 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.1-2
- Fixed incorrect python shebang for portability

* Wed Sep 08 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.1-1
- Fix display of other telephones

* Mon Sep 06 2021 Alex Iribarren <Alex.Iribarren@cern.ch> - 2.1.0-1
- Added man page
- Migrated ldap library from python-ldap to ldap3
- Exit with status code 1 when no matches are found
- Don't rely on another binary for getting group names

* Thu Jul 22 2021 Sara Zanzottera <sara.zanzottera@cern.ch> - 2.0.1-2
- [all] Try to build for CentOS 8
